Go Back   Cockos Incorporated Forums > REAPER Forums > REAPER for Linux

Reply
 
Thread Tools Display Modes
Old 07-08-2022, 06:15 PM   #441
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 266
Default

Quote:
Originally Posted by fabio77 View Post
Did I made a mistake?

Code:
fabio@UbuntuTower~$ version=7.11
fabio@UbuntuTower~$ variant=staging
fabio@UbuntuTower~$ codename=$(shopt -s nullglob; awk '/^deb https:\/\/dl\.winehq\.org/ { print $3; exit }' /etc/apt/sources.list /etc/apt/sources.list.d/*.list)
fabio@UbuntuTower~$ suffix=$(dpkg --compare-versions "$version" ge 7.1 && ((dpkg --compare-versions "$version" ge 7.12 && echo "-2") || echo "-1"))
fabio@UbuntuTower~$ sudo apt install --install-recommends {"winehq-$variant","wine-$variant","wine-$variant-amd64","wine-$variant-i386"}="$version~$codename$suffix"
[sudo] Passwort für fabio: 
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
E: Version »7.11~-1« für »winehq-staging« konnte nicht gefunden werden.
E: Version »7.11~-1« für »wine-staging« konnte nicht gefunden werden.
E: Version »7.11~-1« für »wine-staging-amd64« konnte nicht gefunden werden.
E: Version »7.11~-1« für »wine-staging-i386:i386« konnte nicht gefunden werden.
fabio@UbuntuTower~$ wine --version
wine-7.12 (Staging)
Codename should be focal. Not sure why that didn't work,k, but replace the codename=... line with codename=focal
robbert-vdh is offline   Reply With Quote
Old 07-08-2022, 07:12 PM   #442
fabio77
Human being with feelings
 
fabio77's Avatar
 
Join Date: Jun 2022
Posts: 304
Default

Quote:
Originally Posted by robbert-vdh View Post
Codename should be focal. Not sure why that didn't work,k, but replace the codename=... line with codename=focal
That worked great!!!

Thank you very much, not only for this, but for the entire work you make. I can't tell how greatful I am for yabridge.
I tried Linux already 20 years ago with openSuse. Then things were not as easy as today, and I gave up soon (I spent 3 days to get my modem working).
2011 I got a new Laptop without operating system and gave Ubuntu a try, and almost all things were working so much easier than even on Windows. I use Ubuntu since then (tried other distros too), and only had to switch back to my dual-boot windows for having my music stuff there working.
Maybe there were ways to get the vst-plugins to work on linux earlier, but whenever I tried something went wrong. It was now, I finally followed your instruction on github with yabridge, almost everything immediatley worked.

You made one of my dreams come true

Do you know someone who got the Steinberg Halion working too, with all this eLicenser and download-manager stuff?
fabio77 is online now   Reply With Quote
Old 07-09-2022, 03:22 AM   #443
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 266
Default

Awesome! And I guess I'll need to update that Ubuntu/Debian downgrade snippet now that they've updated their instructions on how to add the repo, I'll do that in a couple of days if I don't forget about it (won't be at my pc for a bit).

And no, I don't know if anyone's gotten any of Steinberg's plugins to work. I know in the past their DRM was the thing that prevented any of it from working.
robbert-vdh is offline   Reply With Quote
Old 07-09-2022, 07:04 AM   #444
Mikobuntu
Human being with feelings
 
Mikobuntu's Avatar
 
Join Date: Nov 2020
Posts: 141
Default

@robbert-vdh Hi Robbert, would you be willing to walk me through safely updating to the latest version of Yabridge?

I'm running on AV Linux MXE version 21 ( released in 2022 ) and it comes pre packed with yabridge and a GUI frontend 'yadbridge'.

There is no indication of which version is currently installed and I think I might be missing the full functionality of the new/recent drag and drop feature.
Currently I am able to drag files out of my Win vst's into Reaper etc, but cannot drag files from my browser or the DAWs browser back into any vst.

I also have created the yabridge.toml file with the appropriate code, but I'm guessing it won't work as I'm on an older version of yabridge.

I have noticed there are a 2 extra files 'yabridge-group-*' in my ~/.local/share/yabridge folder compared to the latest release, so I'm unsure what they are for exactly.

// wine --version wine-6.22 << this version might be temporarily locked by AVL-MXE , but I can easily upgrade if required //


Anyway thanks

Last edited by Mikobuntu; 07-09-2022 at 07:13 AM. Reason: more info added
Mikobuntu is offline   Reply With Quote
Old 07-09-2022, 07:06 AM   #445
fabio77
Human being with feelings
 
fabio77's Avatar
 
Join Date: Jun 2022
Posts: 304
Default

Quote:
Originally Posted by robbert-vdh View Post
Awesome! And I guess I'll need to update that Ubuntu/Debian downgrade snippet now that they've updated their instructions on how to add the repo, I'll do that in a couple of days if I don't forget about it (won't be at my pc for a bit).

And no, I don't know if anyone's gotten any of Steinberg's plugins to work. I know in the past their DRM was the thing that prevented any of it from working.
Ok, thank you again.
fabio77 is online now   Reply With Quote
Old 07-09-2022, 07:14 AM   #446
fabio77
Human being with feelings
 
fabio77's Avatar
 
Join Date: Jun 2022
Posts: 304
Default

Quote:
Originally Posted by Mikobuntu View Post
There is no indication of which version is currently installed
Is there a CHANGELOG.md file in your /local/share/yabrigde ? In mine it is and the latest log is for 4.0.2.
fabio77 is online now   Reply With Quote
Old 07-09-2022, 07:19 AM   #447
Mikobuntu
Human being with feelings
 
Mikobuntu's Avatar
 
Join Date: Nov 2020
Posts: 141
Default

Quote:
Originally Posted by fabio77 View Post
Is there a CHANGELOG.md file in your /local/share/yabrigde ? In mine it is and the latest log is for 4.0.2.
Brilliant @fabio77 there is indeed, looks like im on version ## [3.8.0] - 2022-01-15

I was just checking the changelogs and it seems I should already have the compatability support from version 3.0.0

"Added a compatibilty option to forcefully enable drag-and-drop support under REAPER. REAPER's FX window reports that it supports drag-and-drop itself, which makes it impossible to drag files onto a plugin editor embedded there. This option strips the drag-and-drop support from the FX window, thus allowing you to drag files onto plugin editors again"

,,<<< hmmm I wonder what could be the issue, maybe my wine version ?? Could it be some window focus setting needing tweaked on my machine perhaps ??


// Another note, which might be relevant... these are all VST3 plugins //

Last edited by Mikobuntu; 07-09-2022 at 07:50 AM.
Mikobuntu is offline   Reply With Quote
Old 07-09-2022, 08:01 AM   #448
fabio77
Human being with feelings
 
fabio77's Avatar
 
Join Date: Jun 2022
Posts: 304
Default

Quote:
Originally Posted by Mikobuntu View Post
Brilliant @fabio77 there is indeed, looks like im on version ## [3.8.0] - 2022-01-15

I was just checking the changelogs and it seems I should already have the compatability support from version 3.0.0

"Added a compatibilty option to forcefully enable drag-and-drop support under REAPER. REAPER's FX window reports that it supports drag-and-drop itself, which makes it impossible to drag files onto a plugin editor embedded there. This option strips the drag-and-drop support from the FX window, thus allowing you to drag files onto plugin editors again"

,,<<< hmmm I wonder what could be the issue, maybe my wine version ?? Could it be some window focus setting needing tweaked on my machine perhaps ??


// Another note, which might be relevant... these are all VST3 plugins //
I wished I could help, but I not even understand what you try to do.
And I don't know the yabridge-GUI neither.

To update yabridge I have downloaded the latest release from here: https://github.com/robbert-vdh/yabridge

Then I have unzipped it, pasted the yabridge folder to /.local/share (renamed the old one first to have a fallback-copy).
Then I ran the yabridgectl sync in the terminal.

Done.

But like I said, I don't know the yabridge-GUI. I also never used AV Linux (but I read it's debian-based like my Ubuntu). And I don't need to drag'n drop any plugins. Once I ran the yabridgectl sync (and all runs fine) I chose my plugins inside reaper as and when I need them.
fabio77 is online now   Reply With Quote
Old 07-09-2022, 08:31 AM   #449
Mikobuntu
Human being with feelings
 
Mikobuntu's Avatar
 
Join Date: Nov 2020
Posts: 141
Default

Quote:
Originally Posted by fabio77 View Post
I wished I could help, but I not even understand what you try to do.
And I don't know the yabridge-GUI neither.

To update yabridge I have downloaded the latest release from here: https://github.com/robbert-vdh/yabridge

Then I have unzipped it, pasted the yabridge folder to /.local/share (renamed the old one first to have a fallback-copy).
Then I ran the yabridgectl sync in the terminal.

Done.

But like I said, I don't know the yabridge-GUI. I also never used AV Linux (but I read it's debian-based like my Ubuntu). And I don't need to drag'n drop any plugins. Once I ran the yabridgectl sync (and all runs fine) I chose my plugins inside reaper as and when I need them.
Ok thanks for helping. I basically have a few plugins that are sample based [[ eg Dawesome Novum , Sinee Chop suey , Initial slice ]] and it is much easier and quicker workflow to just drag files from my Samples folder than go through the plugin menu ( not to mention saves on having symlinks all over the place for each plugin and I also get to preview the audio 1st ) .

I think I will try your method and also make sure to backup the original files.

The 'yadbridge' frontend is basically a GUI that is doing all the 'yabridgectl' commands.

Yes AVL-MXE is Debian based.
Mikobuntu is offline   Reply With Quote
Old 07-09-2022, 08:47 AM   #450
fabio77
Human being with feelings
 
fabio77's Avatar
 
Join Date: Jun 2022
Posts: 304
Default

Quote:
Originally Posted by Mikobuntu View Post
Ok thanks for helping. I basically have a few plugins that are sample based [[ eg Dawesome Novum , Sinee Chop suey , Initial slice ]] and it is much easier and quicker workflow to just drag files from my Samples folder than go through the plugin menu ( not to mention saves on having symlinks all over the place for each plugin and I also get to preview the audio 1st ) .

I think I will try your method and also make sure to backup the original files.

The 'yadbridge' frontend is basically a GUI that is doing all the 'yabridgectl' commands.

Yes AVL-MXE is Debian based.
Ok. I think I understand now, although I'm not familiar with this method. I hope the update will work and maybe solve the problems. But I don't know if it is yabridge related. And I also don't know how the GUI is linked to the different versions of yabridge, so I can absolutely say nothing about it.

I think with backing up the old folder you should switch back on the old version easily. But like you said "...walk me through safely..." I can not guarantee.
If you try it, let me know how it worked.
fabio77 is online now   Reply With Quote
Old 07-09-2022, 11:12 AM   #451
Mikobuntu
Human being with feelings
 
Mikobuntu's Avatar
 
Join Date: Nov 2020
Posts: 141
Default

Quote:
Originally Posted by fabio77 View Post
Ok. I think I understand now, although I'm not familiar with this method. I hope the update will work and maybe solve the problems. But I don't know if it is yabridge related. And I also don't know how the GUI is linked to the different versions of yabridge, so I can absolutely say nothing about it.

I think with backing up the old folder you should switch back on the old version easily. But like you said "...walk me through safely..." I can not guarantee.
If you try it, let me know how it worked.

Thanks fabio77 I really appreciate you taking the time to help me on this mate !! I'll wait a bit more until i hear from @robbert-vdh on this as I'm super happy on how stable everything ( other than my initial issue ) is on my AV_Linux install and although I'm quite a seasoned Linux head, this 1 is new to me and I don't want to doze a good working system over this issue.

I should probably contact Glenn McArthur ( maintainer of AV Linux ) and find out a bit more about how he has the system all set up. [[ reminds me of the ALT LMB drag issue that I was having, which is a universal key combo in any DAW on Linux used mostly for timestretching clips, but required me to switch from openbox to xfce4 WM ]]

Once again thanks mate !!

Last edited by Mikobuntu; 07-09-2022 at 11:19 AM.
Mikobuntu is offline   Reply With Quote
Old 07-09-2022, 01:16 PM   #452
fabio77
Human being with feelings
 
fabio77's Avatar
 
Join Date: Jun 2022
Posts: 304
Default

Quote:
Originally Posted by Mikobuntu View Post
Thanks fabio77 I really appreciate you taking the time to help me on this mate !! I'll wait a bit more until i hear from @robbert-vdh on this as I'm super happy on how stable everything ( other than my initial issue ) is on my AV_Linux install and although I'm quite a seasoned Linux head, this 1 is new to me and I don't want to doze a good working system over this issue.

I should probably contact Glenn McArthur ( maintainer of AV Linux ) and find out a bit more about how he has the system all set up. [[ reminds me of the ALT LMB drag issue that I was having, which is a universal key combo in any DAW on Linux used mostly for timestretching clips, but required me to switch from openbox to xfce4 WM ]]

Once again thanks mate !!
I'm very happy if I can help. And I think you're doing the right thing if you wait. "Never change a running system" is an advice I often did not listen and regret

And I also did wait a while before upgrading to yabridge 4 (4.0.2) because of the same reasons.
fabio77 is online now   Reply With Quote
Old 07-09-2022, 04:21 PM   #453
Mikobuntu
Human being with feelings
 
Mikobuntu's Avatar
 
Join Date: Nov 2020
Posts: 141
Default

Quote:
Originally Posted by fabio77 View Post
I'm very happy if I can help. And I think you're doing the right thing if you wait. "Never change a running system" is an advice I often did not listen and regret

And I also did wait a while before upgrading to yabridge 4 (4.0.2) because of the same reasons.

Good man and yeah, I've been there lots of times over the years where I mess with some system config files, that fixes 1 issue but then after some time I notice that those fixes have really f*;ked up something else badly and by that time my bash history shows that there have been too many tweaks that the damage is too far gone

example.. think back to the days of Ubuntu 8.0.4 and pulseaudio/alsa/jack ... I learned a lot about the Linux audio subsystem back then ..
Mikobuntu is offline   Reply With Quote
Old 07-09-2022, 05:22 PM   #454
fabio77
Human being with feelings
 
fabio77's Avatar
 
Join Date: Jun 2022
Posts: 304
Default

Quote:
Originally Posted by Mikobuntu View Post
Good man and yeah, I've been there lots of times over the years where I mess with some system config files, that fixes 1 issue but then after some time I notice that those fixes have really f*;ked up something else badly and by that time my bash history shows that there have been too many tweaks that the damage is too far gone

example.. think back to the days of Ubuntu 8.0.4 and pulseaudio/alsa/jack ... I learned a lot about the Linux audio subsystem back then ..
then maybe you know more than I do.
fabio77 is online now   Reply With Quote
Old 07-09-2022, 06:35 PM   #455
Mikobuntu
Human being with feelings
 
Mikobuntu's Avatar
 
Join Date: Nov 2020
Posts: 141
Default

Quote:
Originally Posted by fabio77 View Post
then maybe you know more than I do.
Dunno lol , no doubt that I'm quite experienced in Linux Audio and tinkering with the kernel at a user level, I love the control that Linux gives the user.

Someday the Grub bootloader is going to go on fire with with the amount of hacks that i set up in there. [ not sure if mitigations=off is a good idea, especially with spectre and meltdown lurking around, but it sure does speed up the system as far as I can tell, so must be worth it ]

I'm just getting more cautious now as I get older as time is running out for me and I just want to be creative making music and art now

Last edited by Mikobuntu; 07-09-2022 at 06:52 PM.
Mikobuntu is offline   Reply With Quote
Old 07-09-2022, 06:48 PM   #456
fabio77
Human being with feelings
 
fabio77's Avatar
 
Join Date: Jun 2022
Posts: 304
Default

Quote:
Originally Posted by Mikobuntu View Post
Dunno lol , no doubt that I'm quite experienced in Linux Audio and tinkering with the kernel at a user level, I love the control that Linux gives the user.

Someday the Grub bootloader is going to go on fire with with the amount of hacks that i set up in there.

I'm just getting more cautious now as I get older as time is running out for me and I just want to be creative making music and art now
Peace and long life
fabio77 is online now   Reply With Quote
Old 07-10-2022, 08:44 AM   #457
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 266
Default

Quote:
Originally Posted by Mikobuntu View Post
@robbert-vdh Hi Robbert, would you be willing to walk me through safely updating to the latest version of Yabridge?

I'm running on AV Linux MXE version 21 ( released in 2022 ) and it comes pre packed with yabridge and a GUI frontend 'yadbridge'.

There is no indication of which version is currently installed and I think I might be missing the full functionality of the new/recent drag and drop feature.
Currently I am able to drag files out of my Win vst's into Reaper etc, but cannot drag files from my browser or the DAWs browser back into any vst.

I also have created the yabridge.toml file with the appropriate code, but I'm guessing it won't work as I'm on an older version of yabridge.

I have noticed there are a 2 extra files 'yabridge-group-*' in my ~/.local/share/yabridge folder compared to the latest release, so I'm unsure what they are for exactly.

// wine --version wine-6.22 << this version might be temporarily locked by AVL-MXE , but I can easily upgrade if required //


Anyway thanks
Sorry for the late response, I was gone for a day. Thanks for filling in @fabio77 ha! Yeah if you want to upgrade (which is probably easier if you aren't actively using yabridge yet), you'd just extract the context from yabridge-4.0.2.tar.gz on the GitHub releases page to ~/.local/share (so, overwriting the existing files in ~/.local/share/yabridge. Then run
Code:
~/.local/share/yabridge/yabridgectl sync
. You'll get a list of plugin .so files that are no longer used and should be remove.d Double check that that doesn't contain any files that should not be deleted, and then run
Code:
~/.local/share/yabridge/yabridgectl sync --prune
. The VST2 plugins are now set up under ~/.vst/yabridge so all of those .so files littered around the system are no longer needed.

And to then enable the drag-and-drop force option for REAPER, you can create or edit ~/.vst/yabridge/yabridge.toml and add the following at the bottom of the file:

Code:
["*"]
editor_force_dnd = true
robbert-vdh is offline   Reply With Quote
Old 07-11-2022, 01:57 AM   #458
Mikobuntu
Human being with feelings
 
Mikobuntu's Avatar
 
Join Date: Nov 2020
Posts: 141
Default

@robbert-vdh Thanks for your help, much appreciated. Unfortunately Drag and Drop still doesn't work for me into a plugin. I believe that when I start a drag operation the plugin window isn't focused at all, but this could be a problem with my window manager.

I had 1 initial problem when updating , I had renamed the ~/.local/share/yabridge to 'Xyabridge' and for some reason it was still being referenced before the 'yabridge' file on rescanning plugins, took me a bit of head scratching to figure this out, so just documenting this in case it helps someone.
Mikobuntu is offline   Reply With Quote
Old 07-11-2022, 04:28 AM   #459
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 266
Default

Quote:
Originally Posted by Mikobuntu View Post
@robbert-vdh Thanks for your help, much appreciated. Unfortunately Drag and Drop still doesn't work for me into a plugin. I believe that when I start a drag operation the plugin window isn't focused at all, but this could be a problem with my window manager.
Triple check that you did it correctly. If you open REAPER from a terminal and load the plugin, you should see something like this in the initialization message:

Code:
13:27:51 [plugin-name-6EPQRWao] config from:   '/home/your-username/.vst/yabridge/yabridge.toml, section "*"'
13:27:51 [plugin-name-6EPQRWao] hosting mode:  'individually, 64-bit'
13:27:51 [plugin-name-6EPQRWao] other options: 'editor: force drag-and-drop'
robbert-vdh is offline   Reply With Quote
Old 07-11-2022, 05:20 AM   #460
Mikobuntu
Human being with feelings
 
Mikobuntu's Avatar
 
Join Date: Nov 2020
Posts: 141
Default

Quote:
Originally Posted by robbert-vdh View Post
Triple check that you did it correctly. If you open REAPER from a terminal and load the plugin, you should see something like this in the initialization message:

Code:
13:27:51 [plugin-name-6EPQRWao] config from:   '/home/your-username/.vst/yabridge/yabridge.toml, section "*"'
13:27:51 [plugin-name-6EPQRWao] hosting mode:  'individually, 64-bit'
13:27:51 [plugin-name-6EPQRWao] other options: 'editor: force drag-and-drop'
Yes I'm getting the initialization message for each plugin as above.

I wonder could it be my version of wine-staging wine-6.22 needs updated ?
Mikobuntu is offline   Reply With Quote
Old 07-11-2022, 05:28 AM   #461
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 266
Default

Quote:
Originally Posted by Mikobuntu View Post
Yes I'm getting the initialization message for each plugin as above.

I wonder could it be my version of wine-staging wine-6.22 needs updated ?
No, Wine has supported drag-and-drop like that for the better part of a decade. You mentioned you used a nonstandard window manager, right? I'd try:
  1. First of all, make sure you're dragging a support file type. Samplers typically only take (mono or stereo) .wav files.
  2. Download the Dolphin file browser and try to drag the file from there. I don't know which application you're trying to drag files from now, but Dolphin's implementation is at least correct so try that first.
  3. Download the Bitwig Studio demo (get the .deb file/the AUR package if you use Arch/Manjaro, don't get the Flatpak) and trying the plugin there. If you can drag a file from Dolphin to the plugin in Bitwig, then you know it's isolated to REAPER.
  4. Try Bitwig+Dolphin under KDE Plasma. If it works there, then you know it's something with your window manager.
  5. And at that point you can work your way backwards to find the thing that's causing the drag-and-drop to not work here.
robbert-vdh is offline   Reply With Quote
Old 07-11-2022, 05:30 AM   #462
Mikobuntu
Human being with feelings
 
Mikobuntu's Avatar
 
Join Date: Nov 2020
Posts: 141
Default

Ok cool i'll try all the steps you mentioned and get back with my findings. Thanks
Mikobuntu is offline   Reply With Quote
Old 07-11-2022, 05:37 AM   #463
Mikobuntu
Human being with feelings
 
Mikobuntu's Avatar
 
Join Date: Nov 2020
Posts: 141
Default

Brilliant job @robbert-vdh , it was indeed the file manager looks like I will be switching to Dolphin [ I was using Thunar ] . Thank you and @fabio77 for sticking in and getting this fixed for me
Mikobuntu is offline   Reply With Quote
Old 07-11-2022, 05:41 AM   #464
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 266
Default

Quote:
Originally Posted by Mikobuntu View Post
Brilliant job @robbert-vdh , it was indeed the file manager looks like I will be switching to Dolphin [ I was using Thunar ] . Thank you and @fabio77 for sticking in and getting this fixed for me
Awesome!
robbert-vdh is offline   Reply With Quote
Old 07-11-2022, 07:59 AM   #465
fsynth
Human being with feelings
 
Join Date: Sep 2020
Posts: 104
Default

Just wanted to post a Thank You for Yabridge, installed AVlinux MX21 this weekend.
Was able to install over 500 WinVst's without a glitch.
All of them installed without ever connecting to the internet.
Now I'm afraid to update anything because it seems to run perfect.

Only lost one plugin in the install WusikStation8, had nothing to do with Yabridge though WINE would not run the installer? All's not lost I will eventually find a way to pull the files from a Win install and export the registry entries. LOL won't be the first time I have had to do that with WINE.


Again huge Thank You.
fsynth is offline   Reply With Quote
Old 07-11-2022, 02:16 PM   #466
Mikobuntu
Human being with feelings
 
Mikobuntu's Avatar
 
Join Date: Nov 2020
Posts: 141
Default

@robbert-vdh I just want to say a big thank you for the work you do regarding Yabridge. This is the 1st time that I have ever been able to successfully run Melodyne-5 as a VST on Linux and it actually records the input from a track.... This is ground breaking stuff !!!
Mikobuntu is offline   Reply With Quote
Old 07-13-2022, 09:05 AM   #467
Klangfarben
Human being with feelings
 
Join Date: Jul 2016
Location: Los Angeles, CA
Posts: 1,544
Default

Hi Robbert, so the Manjaro Official Repository of Yabridge has a dependency of Wine with the install. I use Wine-tkg for plugins like Kontakt etc. The problem is there is no build file to edit the wine dependency. So, if I install yabridge from the Manjaro repository, I then can't uninstall regular wine and reinstall wine-tkg because it is a dependency of yabridge.

Any way around this?
Klangfarben is offline   Reply With Quote
Old 07-13-2022, 10:08 AM   #468
foxAsteria
Human being with feelings
 
foxAsteria's Avatar
 
Join Date: Dec 2009
Location: Oblivion
Posts: 9,466
Default

Quote:
Originally Posted by Klangfarben View Post
Any way around this?
Just uninstall yabridge and reinstall after. All configs are preserved.
__________________
foxyyymusic
foxAsteria is online now   Reply With Quote
Old 07-13-2022, 10:33 AM   #469
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 266
Default

Quote:
Originally Posted by Klangfarben View Post
Hi Robbert, so the Manjaro Official Repository of Yabridge has a dependency of Wine with the install. I use Wine-tkg for plugins like Kontakt etc. The problem is there is no build file to edit the wine dependency. So, if I install yabridge from the Manjaro repository, I then can't uninstall regular wine and reinstall wine-tkg because it is a dependency of yabridge.

Any way around this?
The wine-tkg-*-git package provides wine. You don't need to do anything.
robbert-vdh is offline   Reply With Quote
Old 11-02-2022, 10:52 AM   #470
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 266
Default [ANN] yabridge 5.0, now with Windows CLAP plugin bridging support

I'm proud to announce the latest major yabridge release. I spent the last couple months working on support for bridging CLAP plugins. With yabridge 5.0 you can now use Windows CLAP plugins in native Linux CLAP hosts with full functionality. CLAP is a collaborative effort by a group of plugin and host developers of all backgrounds to create a permissively licensed extensible plugin standard that is simple while also catering to the needs of plugin developers, host developers, and musicians alike. When bridged under yabridge, these plugins are likely to have lower bridging overhead than their VST2 and VST3 counterparts while also being more responsive and offering better support for instrument plugins and parameter modulation.

The other changes in yabridge 5.0.0 are fairly minor. One quality of life improvement that may be relevant to users of more obscure distros is that yabridge now directly talks to the D-Bus daemon for sending its desktop notifications instead of relying on the notify-send command line utility, which may not be installed on those systems.

https://github.com/robbert-vdh/yabri...ases/tag/5.0.0
robbert-vdh is offline   Reply With Quote
Old 11-02-2022, 11:50 AM   #471
fabio77
Human being with feelings
 
fabio77's Avatar
 
Join Date: Jun 2022
Posts: 304
Default

Thank you very much.
fabio77 is online now   Reply With Quote
Old 11-02-2022, 04:17 PM   #472
audiojunkie
Human being with feelings
 
audiojunkie's Avatar
 
Join Date: Nov 2011
Posts: 814
Default

Quote:
Originally Posted by robbert-vdh View Post
I'm proud to announce the latest major yabridge release. I spent the last couple months working on support for bridging CLAP plugins. With yabridge 5.0 you can now use Windows CLAP plugins in native Linux CLAP hosts with full functionality. CLAP is a collaborative effort by a group of plugin and host developers of all backgrounds to create a permissively licensed extensible plugin standard that is simple while also catering to the needs of plugin developers, host developers, and musicians alike. When bridged under yabridge, these plugins are likely to have lower bridging overhead than their VST2 and VST3 counterparts while also being more responsive and offering better support for instrument plugins and parameter modulation.

The other changes in yabridge 5.0.0 are fairly minor. One quality of life improvement that may be relevant to users of more obscure distros is that yabridge now directly talks to the D-Bus daemon for sending its desktop notifications instead of relying on the notify-send command line utility, which may not be installed on those systems.

https://github.com/robbert-vdh/yabri...ases/tag/5.0.0
This is great news!! Thank you! Do I understand correctly that yabridge bridges 32 bit plugins as well as using 64 bit plugins?
audiojunkie is offline   Reply With Quote
Old 11-02-2022, 04:19 PM   #473
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 266
Default

Quote:
Originally Posted by audiojunkie View Post
This is great news!! Thank you! Do I understand correctly that yabridge bridges 32 bit plugins as well as using 64 bit plugins?
It does, yes. If you can somehow manage to find a 32-bit Windows CLAP plugin, you can also use that through yabridge.
robbert-vdh is offline   Reply With Quote
Old 11-03-2022, 04:08 PM   #474
audiojunkie
Human being with feelings
 
audiojunkie's Avatar
 
Join Date: Nov 2011
Posts: 814
Default

Quote:
Originally Posted by robbert-vdh View Post
I'm proud to announce the latest major yabridge release. I spent the last couple months working on support for bridging CLAP plugins. With yabridge 5.0 you can now use Windows CLAP plugins in native Linux CLAP hosts with full functionality. CLAP is a collaborative effort by a group of plugin and host developers of all backgrounds to create a permissively licensed extensible plugin standard that is simple while also catering to the needs of plugin developers, host developers, and musicians alike. When bridged under yabridge, these plugins are likely to have lower bridging overhead than their VST2 and VST3 counterparts while also being more responsive and offering better support for instrument plugins and parameter modulation.

The other changes in yabridge 5.0.0 are fairly minor. One quality of life improvement that may be relevant to users of more obscure distros is that yabridge now directly talks to the D-Bus daemon for sending its desktop notifications instead of relying on the notify-send command line utility, which may not be installed on those systems.

https://github.com/robbert-vdh/yabri...ases/tag/5.0.0

This is a fantastic update!!! Thank you for supporting CLAP!!
audiojunkie is offline   Reply With Quote
Old 11-04-2022, 02:16 AM   #475
timothys_monster
Human being with feelings
 
timothys_monster's Avatar
 
Join Date: Jan 2012
Location: Germany
Posts: 1,073
Default

Thank you, Robert! These are great news! It must have been quite an effort... Very much appreciated
timothys_monster is offline   Reply With Quote
Old 11-14-2022, 07:07 AM   #476
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 266
Default [ANN] yabridge 5.0.1, hotfix release for Wine 7.21

This is a quick hotfix release to work around a bug in Wine 7.21 that would cause yabridge to hang indefinitely on startup. There's also a small fix for yabridgectl not correctly tracking the new moduleinfo.json files for VST 3.7.5 plugins.

https://github.com/robbert-vdh/yabri...ases/tag/5.0.1
robbert-vdh is offline   Reply With Quote
Old 11-15-2022, 03:47 AM   #477
XoechZ
Human being with feelings
 
Join Date: Oct 2008
Location: Austria
Posts: 293
Default

The latest version of Yabridge in the official Arch Linux repos is still 4.0.2-1. Will this ever be updated?
I installed Yabridge via pacman and want to update it via pacman,too.
XoechZ is offline   Reply With Quote
Old 11-15-2022, 05:54 AM   #478
robbert-vdh
Human being with feelings
 
Join Date: Nov 2020
Posts: 266
Default

Quote:
Originally Posted by XoechZ View Post
The latest version of Yabridge in the official Arch Linux repos is still 4.0.2-1. Will this ever be updated?
I installed Yabridge via pacman and want to update it via pacman,too.
That's up the the Arch package maintainer, I sadly can't change anything about it. There's a yabridge-bin package on the AUR that pulls the binaries from GitHub.

And for anyone who's missed it (because you're not in the yabridge Discord, which you probably should be if you want to stay on top of things!), the yabridge 5.0.1 builds from GitHub still won't work with Wine 7.21. If you build it yourself without the --unity meson parameters it may work, but since that Wine bug broke everything this hard I feel like it's probably safer to just stick with Wine Staging 7.20 for now.
robbert-vdh is offline   Reply With Quote
Old 11-15-2022, 06:15 AM   #479
fabio77
Human being with feelings
 
fabio77's Avatar
 
Join Date: Jun 2022
Posts: 304
Default

Quote:
Originally Posted by robbert-vdh View Post
And for anyone who's missed it (because you're not in the yabridge Discord, which you probably should be if you want to stay on top of things!), the yabridge 5.0.1 builds from GitHub still won't work with Wine 7.21. If you build it yourself without the --unity meson parameters it may work, but since that Wine bug broke everything this hard I feel like it's probably safer to just stick with Wine Staging 7.20 for now.
I'm not at any Dicord yet, so thank you for the info here

Maybe I should create an account and join.
fabio77 is online now   Reply With Quote
Old 11-19-2022, 04:25 AM   #480
Steve9600
Human being with feelings
 
Join Date: Aug 2022
Posts: 55
Default Yabridge 5.01 LinVst

I ran into the problem with wine-staging 7.21 described in the release notes. Didn’t help.
I am on Debian 11.5 and using pipewire. So downgraded to 7.20 and everything works well.
I tried linvst and while it did the conversions Reaper will not pick them up on its scan.
So I like your program it works for me. Thanks for all the good work.
I’ll keep an eye out for a new update.
Steve9600 is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -7. The time now is 05:22 PM.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2023, vBulletin Solutions Inc.